listBulkOperations
GET
/api/v1/screens/bulk/operations
const url = 'https://example.com/api/v1/screens/bulk/operations';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/screens/bulk/operationsList recent fleet bulk operations. Requires an Owner or Administrator with the read scope.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”limit
integer
Responses
Section titled “ Responses ”Recent bulk operations
Media typeapplication/json
object
data
required
Array<object>
object
id
required
string format: uuid
action
required
string
screenCount
required
integer
appliedCount
required
integer
skippedCount
required
integer
failedCount
required
integer
results
required
Array<object>
One screen inside a bulk preview or result. Current and Next are written for a person to read, not parsed.
object
screenId
required
string format: uuid
name
required
string
location
string
current
required
string
next
required
string
changes
required
boolean
blocked
string
fromGroup
string
selected
required
boolean
applied
boolean
error
string
reversible
required
boolean
undoExpiresAt
string format: date-time
undoneAt
string format: date-time
createdAt
required
string format: date-time
Example
{ "data": [ { "action": "assign_playlist" } ]}Dashboard authentication required
Insufficient role